pydo.vector_databases.list_backups()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.vector_databases.list_backups(id="\"example string\"")
Returns JSONRaises HttpResponseError

Description

To list the available backups for a vector database, send a GET request to /v2/vector-databases/{id}/backups. Only backups with a status of SUCCESS are returned.

Parameters

id string required

Required. ID of the vector database.

Response Example

Show Response Example
{
  "backups": [
    {
      "backup_id": "123e4567-e89b-12d3-a456-426614174000",
      "completed_at": "2023-01-01T00:00:00Z",
      "started_at": "2023-01-01T00:00:00Z",
      "status": "example string"
    }
  ]
}

More Information

See /v2/vector-databases/{id}/backups in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.